@if (customExportViewService.componentData$ | async; as componentData) {
  <div class="full-width full-height" sqtmCoreAnchorResize>
    <div
      class="full-width full-height p-r-15"
      style="overflow-y: auto"
      sqtmCoreAnchorScroll
    >
      <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'information'"
          [sqtmCoreAnchorCollapsePanel]="'information'"
          sqtmCoreAnchorLastPanel
          [nzHeader]="informationTitle"
          class="anchor"
        >
          <ng-template #informationTitle>
            <div
              class="flex-row full-width"
              style="justify-content: space-between; overflow: hidden"
            >
              <div
                class="entity-view-collapse-panel-title flex-fixed-size m-r-10"
              >
                {{ 'sqtm-core.generic.label.information.plural' | translate }}
              </div>
              <div>
                <span class="flex-fixed-size m-l-5">
                  <sqtm-core-toggle-icon
                    [active]="componentData.permissions.canWrite"
                    [stopPropagation]="true"
                    (clickedInActiveMode)="handleModify()"
                  >
                    <em
                      nz-icon
                      nzType="sqtm-core-generic:edit"
                      nzTheme="outline"
                      nz-tooltip
                      [nzTooltipTitle]="
                        'sqtm-core.generic.label.modify'
                          | translate
                          | capitalize
                      "
                      class="action-icon-size"
                      [attr.data-test-toolbar-button-id]="'modify'"
                    >
                    </em>
                  </sqtm-core-toggle-icon>
                </span>
                <span class="flex-fixed-size m-l-5">
                  @if (componentData.customExport.scopeNodes.length > 0) {
                    <sqtm-core-toggle-icon
                      [active]="componentData.permissions.canExport"
                      [stopPropagation]="true"
                      (clickedInActiveMode)="downloadReport()"
                    >
                      <i
                        nz-icon
                        nzType="sqtm-core-generic:download"
                        nzTheme="outline"
                        nzTooltipPlacement="topRight"
                        nz-tooltip
                        [nzTooltipTitle]="
                          'sqtm-core.generic.label.download'
                            | translate
                            | capitalize
                        "
                        class="action-icon-size"
                        [attr.data-test-toolbar-button-id]="'download'"
                      >
                      </i>
                    </sqtm-core-toggle-icon>
                  } @else {
                    <span (click)="openAlertForDeletedScope($event)">
                      <em
                        nz-icon
                        nzType="sqtm-core-generic:download"
                        nzTheme="outline"
                        nz-tooltip
                        [nzTooltipTitle]="
                          'sqtm-core.generic.label.download'
                            | translate
                            | capitalize
                        "
                        class="current-workspace-button action-icon-size"
                        nzTooltipPlacement="topRight"
                        [attr.data-test-toolbar-button-id]="'download'"
                      >
                      </em>
                    </span>
                  }
                </span>
              </div>
            </div>
          </ng-template>
          <div class="full-width">
            <sqtm-app-custom-export-information-panel
              [customExport]="componentData.customExport"
            >
            </sqtm-app-custom-export-information-panel>
          </div>
        </nz-collapse-panel>
      </nz-collapse>
      <div id="sqtm-core-ghost-div" sqtmCoreAnchorGhostDiv></div>
    </div>
  </div>
}
